package work.xuye.common.utils;

import lombok.extern.slf4j.Slf4j;
import work.xuye.common.dto.TaskVO;

import java.util.Set;

/**
 * @author xuye
 * @since 2023/5/6 10:31
 **/
@Slf4j
public class DebugUtil {


    private static final Set<Integer> skipTaskIds = Set.of();

    public static boolean isSkip(TaskVO task) {
        Integer taskId = task.getTask().getId();
        if (skipTaskIds.contains(taskId)) {
            log.warn("skip task, [{}-{}]", taskId, task.getTask().getName());
            return true;
        }
        return false;
    }

}
